This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021038 - Can you add python3 support.
Can you add python3 support.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-IPy (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 16:13 EDT by Daniel Walsh
Modified: 2015-11-11 21:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 21:32:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quick and dirty patch to add python3 support. (1.89 KB, patch)
2013-10-18 16:13 EDT, Daniel Walsh
no flags Details | Diff

  None (edit)
Description Daniel Walsh 2013-10-18 16:13:14 EDT
Created attachment 813907 [details]
Quick and dirty patch to add python3 support.

I am porting some of the SELinux tool chain to python3 and I use this package, so I need it to support python3.

I just changed the spec file and it seem to work, with limited testing.
Comment 1 Matt Domsch 2013-10-18 16:17:40 EDT
I need to update it to the latest upstream.  v0.81 has a lot of python3 bug fixes in it compared to v0.75.  Thanks for the patch.
Comment 2 Matt Domsch 2013-10-18 16:35:21 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=6077033
building v0.81 in rawhide now.
Comment 3 Jaroslav Reznik 2015-03-03 12:18:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Matt Domsch 2015-11-11 21:32:48 EST
* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.81-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 13 2013 Dan Walsh <dwalsh@redhat.com> - 0.81-9
- Move python3 bindings to separate package to shrink minimal/cloud install until we change to python3 by default

* Fri Oct 18 2013 Matt Domsch <mdomsch@fedoraproject.org> - 0.81-8
- rebuild

* Fri Oct 18 2013 Matt Domsch <mdomsch@fedoraproject.org> - 0.81-7
- upgrade to v0.81

* Fri Oct 18 2013 Dan Walsh <dwalsh@fedoraproject.org> - 0.75-7
* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.81-10
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 13 2013 Dan Walsh <dwalsh@redhat.com> - 0.81-9
- Move python3 bindings to separate package to shrink minimal/cloud install until we change to python3 by default

* Fri Oct 18 2013 Matt Domsch <mdomsch@fedoraproject.org> - 0.81-8
- rebuild

* Fri Oct 18 2013 Matt Domsch <mdomsch@fedoraproject.org> - 0.81-7
- upgrade to v0.81

* Fri Oct 18 2013 Dan Walsh <dwalsh@fedoraproject.org> - 0.75-7
- Add support for python3


Closing.

Note You need to log in before you can comment on or make changes to this bug.